datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74b <- function() showQCData("mgu74b", datacache)
mgu74b_dbconn <- function() dbconn(datacache)
mgu74b_dbfile <- function() dbfile(datacache)
mgu74b_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74b_dbInfo <- function() dbInfo(datacache)

mgu74bORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74b.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgu74b", "chip mgu74b", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74b_dbconn())
}

